Bug 127130 - memory corruption in gd-2.0.26
memory corruption in gd-2.0.26
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-02 09:14 EDT by John Ellson
Modified: 2015-03-04 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-05 10:17:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Ellson 2004-07-02 09:14:03 EDT
Description of problem:
Please upgrade gd to 2.0.27.

2.0.26 contains two rather serious bugs.  
  - a memory corruption problem when fills are attempted outside of
the clipping region
  - a backward compatibility problem, ordering of text brect
coordinates, that will cause problems for dependent packages

Version-Release number of selected component (if applicable):
gd-2.0.26

How reproducible:
problems known and fixed upstream in 2.0.27

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Phil Knirsch 2004-07-05 10:17:19 EDT
Fixed, gd has been updated on Friday.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.